Subject: bug#28605: 26.0.60; Part of leftmost character hidden

From: martin rudalics <[email-masked]>
Date: Fri, 20 Oct 2017 09:55:16 +0200

> Toggling the menu bar or the tool bar on/off shows the same type of
 > effects as the scroll bars. Toggling the fringe-mode on/off *always*
 > shrinks both the height and width.

I'm afraid you didn't test these with scroll bars turned off.  So it's
easily possible that scroll bar calculations overshadow the frame size
adjustments we do for handling the above.  Please try with scroll bars
turned off before you test these.

One thing you could check with scroll bars on is whether changing the
frame width (or height) and undoing that gets us back the initial size.
For example, does evaluating the following forms

(set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
(set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))

in sequence result in a frame of the same size?

martin